Subject: bug#8924: 23.3; Editing is rather difficult using vc with RCS backend

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jun 2011 20:23:15 +0300

> From: Richard Stanton <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 24 Jun 2011 09:03:42 -0700
> 
> > Did you also change the RCS port you are using, since the last time this
> > worked for you?  If so, where did you get your port of RCS?  Was that last
> > time also on Windows Vista, or on some other OS?
> 
> Sensible question  - I use the Cygwin port. I just tried downgrading from 1.57-11 to 1.57-4 (the only older version I could find listed in the current Cygwin setup list), but this didn't change anything.

If you are using the Cygwin build of RCS with a native build of Emacs,
there could be problems that I'm not aware of.  I don't use Cygwin.

> What version of RCS are you using?

The native Windows port I found on the GnuWin32 site.

> > > b. Now edit the file by adding a comment somewhere, say, after line 1,
> > 
> > Wait a moment: isn't the buffer read-only after the initial registration and
> > check-in?  It should be; it is for me (using RCS with Emacs 23.3 on Windows
> > XP).  If so, you cannot just add a comment; you need to check-out the file
> > first, by typing "C-x v v" again.  This checks out the file making it writable, and
> > then I can edit it.
> 
> The buffer itself is not read-only, but the file seems to be.

That is already a sign of a problem.  The buffer should be read-only.

What does "rlog test.tex" show after that initial checkin?

> > It's possible that the problem is with your username as RCS and Emacs
> > perceive it.  Do you have USER or LOGNAME variables set in your
> > environment?  If not, does it help to set one of them with the value returned
> > by `user-login-name' function inside Emacs?
> 
> Doesn't seem to change anything.

What does user-login-name and user-real-login-name return inside
Emacs?